Main Page Modules Data Structures File List Data Fields Globals Related Pages

# StringBufRec Struct Reference

## Data Fields

char * | buf
char * | tail
int | allocated
int | free

## Field Documentation

int StringBufRec::allocated

| Definition at line 15 of file stringbuf.c. Referenced by appendStringBufAux, newStringBuf, stripTrailingBlanksStringBuf, and truncStringBuf.

char* StringBufRec::buf

| Definition at line 13 of file stringbuf.c. Referenced by appendStringBufAux, freeStringBuf, getStringBuf, newStringBuf, and truncStringBuf.

int StringBufRec::free

| Definition at line 16 of file stringbuf.c. Referenced by appendStringBufAux, newStringBuf, stripTrailingBlanksStringBuf, and truncStringBuf.

char* StringBufRec::tail

| Definition at line 14 of file stringbuf.c. Referenced by appendStringBufAux, newStringBuf, stripTrailingBlanksStringBuf, and truncStringBuf.

The documentation for this struct was generated from the following file:

- lib/stringbuf.c